## org.apache.lucene.spatial.tier.projections
Class SinusoidalProjector

    java.lang.Object
      org.apache.lucene.spatial.tier.projections.SinusoidalProjector

All Implemented Interfaces:
  IProjector

    public class SinusoidalProjector

extends java.lang.Object
implements IProjector

Based on Sinusoidal Projections Project a latitude / longitude on a 2D cartesian map

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`SinusoidalProjector()`

Method Summary
`double[]` `coords(double latitude, double longitude)`
`java.lang.String` `coordsAsString(double latitude, double longitude)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinusoidalProjector

    public SinusoidalProjector()

Method Detail

### coordsAsString

    public java.lang.String coordsAsString(double latitude,
                                           double longitude)

  Specified by:
    `coordsAsString` in interface `IProjector`

### coords

    public double[] coords(double latitude,
                           double longitude)

  Specified by:
    `coords` in interface `IProjector`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.